PACCHECK(1)

BEZEICHNUNG
paccheck - installierte Pakete überprüfen

ÜBERSICHT
 paccheck [Optionen] [<Paket>] …   paccheck (--help|--version)

BESCHREIBUNG
Überprüft installierte Pakete. Zusätzliche Pakete können auf der Standardeingabe angegeben werden. Falls kein Paket angegeben wird, werden alle installierten Pakete überprüft. Standardmäßig werden nur Paketabhängigkeiten und grundlegende Dateiinformationen überprüft.

OPTIONEN

--config=Pfad
    gibt den Pfad zu einer alternativen Konfigurationsdatei an.

--dbpath=Pfad
    gibt den Pfad zu einer alternativen Datenbank an.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--null[=Trenner]
    gibt einen alternativen Trenner für Werte an, die aus der Standardeingabe gelesen werden. Standardmäßig wird ein Zeilenvorschub »\n« als Trenner verwendet. Falls Sie --null verwenden, ohne einen Trenner anzugeben, wird »NUL« (das Nullbyte) verwendet.

--list-broken
    gibt nur die Namen der Pakete aus, welche die ausgewählten Überprüfungen nicht bestanden haben.

--quiet
    gibt nur Meldungen aus, wenn ein Problem gefunden wurde.

--recursive
    führt die Abhängigkeitsüberprüfungen des Pakets auch rekursiv aus.

--depends
    überprüft, ob alle Paketabhängigkeiten erfüllt sind.

--opt-depends
    überprüft, ob alle optionalen Paketabhängigkeiten erfüllt sind.

--files
    gleicht Paketdateien mit der lokalen Datenbank ab.

--file-properties
    gleicht Paketdateien mit den MTREE-Daten ab.

--md5sum
    gleicht MD5-Prüfsummen mit den MTREE-Daten ab.

--sha256sum
    gleicht SHA256-Prüfsummen mit den MTREE-Daten ab.

--require-mtree
    fasst fehlende MTREE-Daten als Fehler für --db-files und/oder --file-properties auf.

--db-files
    bezieht Datenbankdateien in die Überprüfungen mit --files und --file-properties ein. --files prüft, ob die desc-, files- und mtree-Dateien (mit --require-mtree) im Eintrag der Paketdatenbank vorhanden sind. --file-properties prüft, ob die install- und changelog-Dateien in der Datenbank vorhanden sind, falls zutreffend.

--backup
    bezieht Sicherungsdateien in die Überprüfungen zu Änderungen von Dateien ein.

--noextract
    bezieht NoExtract-Dateien in die Überprüfungen zu Änderungen von Dateien ein.

--noupgrade
    bezieht NoUpgrade-Dateien in die Überprüfungen zu Änderungen von Dateien ein.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

WARNUNGEN
paccheck ermittelt durch eine einfache Überprüfung mit isatty(3), ob Pakete aus der Standardeingabe gelesen werden sollen oder nicht. Falls paccheck in einer Umgebung aufgerufen wird, beispielsweise in einer Shellfunktion oder einem Skript, das in einer Pipe verwendet wird, wobei die Standardeingabe nicht mit einem Terminal verbunden ist, aber keine zu überprüfenden Pakete enthält, sollte paccheck mit geschlossener Standardeingabe aufgerufen werden. Für POSIX-kompatible Shells können Sie dies mit »<&-« erreichen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).